DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MorphologicalGradientMagnitude

Morphological edge detector

## SYNOPSIS

`#include "dip_morphology.h"`

dip_Error dip_MorphologicalGradientMagnitude ( in, out, se, boundary, param, shape, edgeType )

## DATA TYPES

integer, float

## FUNCTION

The same as `MorphologicalRange`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_Image` | `se` | Custom structuring element
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_FloatArray` | `param` | Filter parameters
`dip_FilterShape` | `shape` | Structuring element
`dip_MphEdgeType` | `edgeType` | edgeType

## SEE ALSO

`MorphologicalRange`, `Lee`, `MultiScaleMorphologicalGradient`, `Tophat`